package com.emato.ich.fragment;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;
import androidx.navigation.fragment.NavHostFragment;

import com.emato.ich.R;
import com.emato.ich.databinding.FragmentSendMainBinding;

import org.jetbrains.annotations.NotNull;

public class SendMainFragment extends Fragment {

    private FragmentSendMainBinding binding;

    @Nullable
    @org.jetbrains.annotations.Nullable
    @Override
    public View onCreateView(@NonNull @NotNull LayoutInflater inflater, @Nullable @org.jetbrains.annotations.Nullable ViewGroup container, @Nullable @org.jetbrains.annotations.Nullable Bundle savedInstanceState) {

        binding = FragmentSendMainBinding.inflate(inflater, container, false);

        return binding.getRoot();
    }


    public  void onViewCreated(@NonNull View view, Bundle savedInstanceState) {
        // 输入快件信息
        binding.sendConfirmBtn.setOnClickListener(view1 -> NavHostFragment.findNavController(SendMainFragment.this)
                                                            .navigate(R.id.action_sendMainFragment_to_chooseCabinetFragment));
        // 异常处理
        binding.exceptionHandleBtn.setOnClickListener(view1 -> NavHostFragment.findNavController(SendMainFragment.this)
                                                            .navigate(R.id.action_sendMainFragment_to_exceptionFragment));
        binding.returnBtn.setOnClickListener(view1 -> NavHostFragment.findNavController(SendMainFragment.this)
        .navigate(R.id.action_sendMainFragment_to_sendFragment));
    }


    @Override
    public void onDestroy() {
        super.onDestroy();
        binding = null;
    }
}
