package com.emato.ich.fragment;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;
import androidx.navigation.fragment.NavHostFragment;

import com.emato.ich.R;
import com.emato.ich.databinding.FragmentTakeBinding;

import org.jetbrains.annotations.NotNull;

/**
 * 取件提示页面
 */
public class TakeFragment extends Fragment {

    private FragmentTakeBinding binding;

    @Nullable
    @org.jetbrains.annotations.Nullable
    @Override
    public View onCreateView(@NonNull @NotNull LayoutInflater inflater, @Nullable @org.jetbrains.annotations.Nullable ViewGroup container, @Nullable @org.jetbrains.annotations.Nullable Bundle savedInstanceState) {

        binding = FragmentTakeBinding.inflate(inflater, container, false);
        return binding.getRoot();
    }

    public void onViewCreated(@NonNull View view, Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);

        // TODO 对接微信

        // 跳转输入取件码
        binding.toInputTakeCodeBtn.setOnClickListener( view1 -> NavHostFragment.findNavController(TakeFragment.this)
                .navigate(R.id.action_takeFragment_to_takeCodeFragment));
        binding.returnBtn.setOnClickListener(view1 -> NavHostFragment.findNavController(TakeFragment.this)
                .navigate(R.id.action_takeFragment_to_mainFragment));
    }


    @Override
    public void onDestroy() {
        super.onDestroy();
        binding = null;
    }
}
